.NET 3.5(4.5) is not installed......安装软件(比如CAD)出现错误提示如何解决?

小鱼儿yr
2022-04-25
来源:小鱼儿yr系统

问题现象


当我们在安装某些软件时比如CAD,安装过程中提示.NET 3.5或.NET 4.5 is not installed......应该如何解决?

如下图,安装CAD不到到一半就提示出错

sshot-1.jpg


然后直接导致软件安装失败

sshot-2.jpg


问题分析


.NET是系统运行库组件,上面的错误提示就是缺少某个版本的.NET组件。因为这台电脑是WIN7系统,WIN7系统已经自带.net 3.5,所以提示的错误版本只会高于3.5,比如提示缺少.NET 4.0,.NET 4.5,.NET 4.8等等。比如上面的提示缺少.NET 4.5可能有2种情况,一种情况是没有安装比.NET 3.5更高的版本,所以提示缺少.NET 4.5导致软件安装失败,这个情况直接安装提示缺少对应版本的.NET系统运行库组件即可。另一种情况是原来的系统已经安装了比.NET 4.5更高的版本,比如下图,系统安装的是.NET 4.8,这种情况也可能会提示缺少低版本的.NET 4.5,这种情况需要先卸载较高版本的.NET 4.8,然后再安装低版本的.NET 4.5才可以正常安装CAD软件。


解决方法


如下图先卸载系统原来的高版本的.NET 4.8

sshot-3.jpg


如何正确下载并安装老版本的.NET 4.5?打开小鱼儿yr系统,在右边搜索框输入.net

sshot-4.jpg


选择.NET 5(里面包含了所有.NET的历史版本)

sshot-5.jpg


在网盘里可以找到历史版本.NET 4.5

sshot-6.jpg


解压密码是yrxitong.com,解压后正常安装即可

sshot-7.jpg


安装完成后控制面板里已经可以看到.NET 4.5这个项目了

sshot-8.jpg


这时再安装我们需要的CAD软件就不会报错了,如下图已正常安装成功了。

sshot-9.jpg


经验总结


如果是WIN10或WIN11系统,那么系统自带了.NET 4.8,此时遇到最多的错误是提示缺少.NET 3.5运行库组件。所以不管是WIN7还是WIN10亦或是WIN11,只要遇到提示缺少哪个版本.NET系统运行库组件就安装对应版本即可,如果系统原来已经安装了较高版本就要先进行卸载,再安装低版本。这里用CAD软件举例,只是打个比方,如果其他软件安装过程中提示这个错误也可以用这个方法解决。


相关软件


Autodesk AutoCAD_包含CAD2004-CAD2023全套


更多相关问题解答请看【问题汇总

阅读1922
分享
下一篇:这是最后一篇
上一篇:这是第一篇
写评论...